POST V1/ProAdminAccountReceivables.{ext}/FetchBillingElementsData?action={action}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
action

No description available

string

Required

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.ProAdmin.Entities.BillingElementsEntity
NameDescriptionTypeAdditional information
TransTypeIdfr

No description available

integer

None.

BillingElementName

No description available

string

None.

Description

No description available

string

None.

Type

No description available

string

None.

Status

No description available

string

None.

ProcessingBills

No description available

integer

None.

Request Formats

application/json, text/json

Sample:
{
  "transTypeIdfr": 1,
  "billingElementName": "sample string 2",
  "description": "sample string 3",
  "type": "sample string 4",
  "status": "sample string 5",
  "processingBills": 6
}

application/xml, text/xml

Sample:
<BillingElementsEntity xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.ProAdmin.Entities">
  <BillingElementName>sample string 2</BillingElementName>
  <Description>sample string 3</Description>
  <ProcessingBills>6</ProcessingBills>
  <Status>sample string 5</Status>
  <TransTypeIdfr>1</TransTypeIdfr>
  <Type>sample string 4</Type>
</BillingElementsEntity>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfSystem.Object
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

Object

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Object",
  "response": {},
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.